patch
https://{customerDomain}.heyteam.com/eapi/requirement-categories/
Update the status of a user's requirement category instance for a given requirement category template.
Important: The {id} parameter is the requirement category template ID.
The request body identifies which user and program instance to update:
company_user_id: The user who owns the requirement category instancecompany_user_program_id: The user program ID for that userstatus: The new status to set
Special behavior: When transitioning from done to pending_user, the endpoint automatically:
- Resets all related tasks to
pendingstatus - Clears task completion date
- Clears validator ID
This allows the requirement to be unlocked in the Heyteam UI so the manager can correct the information.
How to get required IDs:
- Template ID (
{id}): UseGET /eapi/configuration/requirements/categories- each item has anidfield - User ID: Use
GET /eapi/usersorGET /eapi/users/{id}- theidfield iscompany_user_id - Program ID: Use
GET /eapi/programs- each item hasidanduser_id